function overlay(co) {
    var el = document.getElementById(co);
    el.style.visibility = (el.style.visibility == "visible") ? "hidden" : "visible";
}

function kontrola() {
    var mail = document.getElementById('mail').value;
    var heslo = document.getElementById('heslo').value;
    var hesloZnovu = document.getElementById('heslo-znovu').value;
    var rok = document.getElementById('rok').value;
    var reg = /^[a-zA-Z0-9._-]+@[a-zA-Z0-9._-]+\.[a-zA-z]{2,4}$/;
    var mailValidni = reg.test(mail);
    if (mailValidni === false) {
        zprava('Musíte vyplnit správný mail.');
        return false;
    } else if (heslo.length < 7) {
        zprava('Heslo je moc krátké. Zbývá ' + (7 - heslo.length) + ' znaků');
        return false;
    } else if (heslo != hesloZnovu) {
        zprava('Hesla se neshodují.');
        return false;
    } else if (rok != 2016) {
        zprava('Antispam je chybně vyplněný.');
        return false;
    } else {
        return true;
    }
}

function zprava(zprava) {
    var div = document.getElementById("zprava-text");
    div.style.opacity = "0";
    setTimeout(function () {
        div.innerHTML = zprava;
        div.style.opacity = '1';
    }, 100);
}